package com.ejie.ab79.model.servicioWeb;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.ejie.ab79.model.servicioWeb.DatosInspeccionWS;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * BusquedasWS
 * 
 */

public class InspeccionWS implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Date fechaLimiteInspeccion;
	private String ObservacionesActuacionInspeccion;
	private List<DatosInspeccionWS> datosInspeccionWS = new ArrayList<DatosInspeccionWS>();
	private DatosEstablecimientoWS datosEstablecimientoWS = new DatosEstablecimientoWS();

	private Integer tipoInspeccion;

	public InspeccionWS() {
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaLimiteInspeccion() {
		return fechaLimiteInspeccion;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaLimiteInspeccion(Date fechaLimiteInspeccion) {
		this.fechaLimiteInspeccion = fechaLimiteInspeccion;
	}

	public Integer getTipoInspeccion() {
		return tipoInspeccion;
	}

	public void setTipoInspeccion(Integer tipoInspeccion) {
		this.tipoInspeccion = tipoInspeccion;
	}

	public DatosEstablecimientoWS getDatosEstablecimientoWS() {
		return datosEstablecimientoWS;
	}

	public void setDatosEstablecimientoWS(DatosEstablecimientoWS datosEstablecimientoWS) {
		this.datosEstablecimientoWS = datosEstablecimientoWS;
	}

	public String getObservacionesActuacionInspeccion() {
		return ObservacionesActuacionInspeccion;
	}

	public void setObservacionesActuacionInspeccion(String observacionesActuacionInspeccion) {
		ObservacionesActuacionInspeccion = observacionesActuacionInspeccion;
	}

	public List<DatosInspeccionWS> getDatosInspeccionWS() {
		return datosInspeccionWS;
	}

	public void setDatosInspeccionWS(List<DatosInspeccionWS> datosInspeccionWS) {
		this.datosInspeccionWS = datosInspeccionWS;
	}

}
